TRAFFIC_MANAGER(8)

NAME
traffic_manager - Traffic Server process manager

DESCRIPTION

    --aconfPort PORT

    --action TAGS

    --debug TAGS

    --groupAddr ADDRESS

    --help

    --nosyslog

    --path FILE

    --proxyOff

    --listenOff

    --proxyPort PORT

    --recordsConf FILE

    --tsArgs ARGUMENTS

    --maxRecords RECORDS

    --bind_stdout FILE

The file to which the stdout stream for traffic_manager will be bound.

    --bind_stderr FILE

The file to which the stderr stream for traffic_manager will be bound.

    --version

SIGNALS

    SIGHUP
        This signal causes a reconfiguration event, equivalent to running traffic_ctl config reload.

    SIGINT, SIGTERM
        These signals cause traffic_manager to exit after also shutting down traffic_server.

    SIGUSR2
        This signal causes the traffic_manager and traffic_server processes to close and reopen their file descriptors for all of their log files. This allows the use of external tools to handle log rotation and retention. For instance, logrotate(8) can be configured to rotate the various Apache Traffic Server™ logs and, via the logrotate postrotate script, send a -SIGUSR2 to the traffic_manager process. After the signal is received, Apache Traffic Server™ will stop logging to the now-rolled files and will reopen log files with the originally configured log names.

EXPONENTIAL BACK-OFF DELAY
        If traffic_server has issues communicating with traffic_manager after a crash, traffic_manager will retry to start traffic_server using an exponential back-off delay, which will make traffic_manager to retry starting traffic_server from 1s until it reaches the max ceiling time. The ceiling time is configurable as well as the number of times that traffic_manager will keep trying to start traffic_server. A random variance will be added to the sleep time on every retry

NOTE:
        For more information about this configuration please check records.config

SEE ALSO

traffic_ctl(8), traffic_server(8)

COPYRIGHT
2026, dev@trafficserver.apache.org